package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

public class CourseScheduleStudentDto{

    @ApiModelProperty(value = "课程编号")
    private Long courseId;

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "上课开始时间")
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间")
    private String endClassTime;

    @ApiModelProperty(value = "考勤状态")
    private StudentAttendanceStatusEnum attendanceStatus;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "课程组类型")
    private GroupType groupType;

    @ApiModelProperty(value = "上课模式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "老师头像")
    private String teacherAvatar;

    @ApiModelProperty(value = "老师姓名")
    private String teacherName;

    @ApiModelProperty(value = "教学点")
    private String schoolName;

    @ApiModelProperty(value = "是否达标")
    private Integer qualifiedFlag;

    public Integer getQualifiedFlag() {
        return qualifiedFlag;
    }

    public void setQualifiedFlag(Integer qualifiedFlag) {
        this.qualifiedFlag = qualifiedFlag;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public StudentAttendanceStatusEnum getAttendanceStatus() {
        return attendanceStatus;
    }

    public void setAttendanceStatus(StudentAttendanceStatusEnum attendanceStatus) {
        this.attendanceStatus = attendanceStatus;
    }

    public CourseStatusEnum getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(CourseStatusEnum courseStatus) {
        this.courseStatus = courseStatus;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherAvatar() {
        return teacherAvatar;
    }

    public void setTeacherAvatar(String teacherAvatar) {
        this.teacherAvatar = teacherAvatar;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }
}
